Bug 445478 - Wacom Express Key Remote Pad listed but no key configuration tab
Summary: Wacom Express Key Remote Pad listed but no key configuration tab
Status: RESOLVED FIXED
Alias: None
Product: wacomtablet
Classification: Unclassified
Component: general (show other bugs)
Version: 3.2.0
Platform: Neon Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Valerii Malov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-11-14 12:58 UTC by brettm
Modified: 2022-03-30 04:33 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
screenshot of kcmshell5 kcm_wacomtablet with cmd output (546.12 KB, image/png)
2021-11-14 12:58 UTC, brettm
Details

Note You need to log in before you can comment on or make changes to this bug.
Description brettm 2021-11-14 12:58:38 UTC
Created attachment 143537 [details]
screenshot of kcmshell5 kcm_wacomtablet with cmd output

SUMMARY
Could of sworn it was configurable in the past (A few months ago before some updates) but it appears that the "express key remote"  that comes with my Cintiq pro 24 no longer shows the key configuration tab instead it looks as if it thinks its another tablet. (least just shows the relevant tabs for me to suspect that)

If I'm not mistaken and the remote is indeed supposed to be configurable in "kcm_wacomtablet" something interesting when checking the command line output I noticed is that every time I change the "select tablet" to the "Wacom Express Key Remote Pad pad [0331]" I seem to get a error output. (cmd output error line below)

org.kde.wacomtablet.common: "Internal Error: Missing device name parameter!"

STEPS TO REPRODUCE
1.  Connect/switchon "Wacom Express Key Remote Pad"
2.  Navigate to tablet configuration within system settings "kcm_wacomtablet"
3.  Select "Wacom Express Key Remote" within "kcm_wacomtablet"

OBSERVED RESULT
Missing or incorrect configuration options for the "Wacom Express Key Remote" within "kcm_wacomtablet"

EXPECTED RESULT
To be able to configure the key mapping for the "Wacom Express Key Remote" within "kcm_wacomtablet"

SOFTWARE/OS VERSIONS
Operating System: KDE neon 5.23
KDE Plasma Version: 5.23.3
KDE Frameworks Version: 5.87.0
Qt Version: 5.15.3
Kernel Version: 5.11.0-40-generic (64-bit)
Graphics Platform: X11
Processors: 16 × AMD Ryzen 7 1700 Eight-Core Processor
Memory: 31.3 GiB of RAM
Graphics Processor: NVIDIA GeForce GTX 1080/PCIe/SSE2

OTHER OUTPUTS
brett@brett-desktop:~$ xsetwacom --version
0.39.0

brett@brett-desktop:~$ xsetwacom --list devices
Wacom Express Key Remote Pad pad        id: 16  type: PAD       
Wacom Cintiq Pro 24 Pen stylus          id: 18  type: STYLUS    
Wacom Cintiq Pro 24 Pen eraser          id: 19  type: ERASER 

brett@brett-desktop:~$ kcmshell5 kcm_wacomtablet
kf.coreaddons: "Could not load plugin from "
org.kde.wacomtablet.common: "Internal Error: Missing device name parameter!"
org.kde.wacomtablet.common: "Internal Error: Missing device name parameter!"
org.kde.wacomtablet.common: "Internal Error: Missing device name parameter!"
org.kde.wacomtablet.common: "Internal Error: Missing device name parameter!"
Comment 1 oioi555x 2022-03-26 14:58:23 UTC
I also use EK-Remote.
Perhaps there is an incomplete definition in "~/.config/tabletdblocalrc".
Try removing "~/.config/tabletdblocalrc".

Hopefully you'll see the Key Configuration tab, which works with libwacom definitions and images.

However, in that case, the image is in the alphabet and the button number is difficult to understand.

So, I submitted the definition and the image according to the button No.
https://invent.kde.org/system/wacomtablet/-/merge_requests/5

# How to try it now
https://invent.kde.org/oioi/wacomtablet/-/blob/add_wacom_ek_remote_definition/images/ek-remote.png
Download "ek-remote.png"
Copy the image file to  "/usr/share/wacomtablet/images/" directory.

https://invent.kde.org/oioi/wacomtablet/-/blob/add_wacom_ek_remote_definition/data/wacom_devicelist
Download "wacom_devicelist"
Overwrite the definition file in  "/usr/share/wacomtablet/data/" directory.

Then restart the service.
Comment 2 oioi555x 2022-03-30 04:12:01 UTC
Git commit 0089f6669116da4b1113196df80b24d7a6855759 by oioi 555.
Committed on 26/03/2022 at 12:05.
Pushed by ngraham into branch 'master'.

Add Wacom ExpressKey Remote definition

Added definition and dedicated image.

M  +29   -0    data/wacom_devicelist
M  +1    -0    images/CMakeLists.txt
A  +-    --    images/ek-remote.png
A  +-    --    images/ek-remote.svgz

https://invent.kde.org/system/wacomtablet/commit/0089f6669116da4b1113196df80b24d7a6855759
Comment 3 brettm 2022-03-30 04:33:17 UTC
(In reply to oioi555x from comment #1)
> I also use EK-Remote.
> Perhaps there is an incomplete definition in "~/.config/tabletdblocalrc".
> Try removing "~/.config/tabletdblocalrc".
> 
> Hopefully you'll see the Key Configuration tab, which works with libwacom
> definitions and images.
> 
> However, in that case, the image is in the alphabet and the button number is
> difficult to understand.
> 
> So, I submitted the definition and the image according to the button No.
> https://invent.kde.org/system/wacomtablet/-/merge_requests/5
> 
> # How to try it now
> https://invent.kde.org/oioi/wacomtablet/-/blob/
> add_wacom_ek_remote_definition/images/ek-remote.png
> Download "ek-remote.png"
> Copy the image file to  "/usr/share/wacomtablet/images/" directory.
> 
> https://invent.kde.org/oioi/wacomtablet/-/blob/
> add_wacom_ek_remote_definition/data/wacom_devicelist
> Download "wacom_devicelist"
> Overwrite the definition file in  "/usr/share/wacomtablet/data/" directory.
> 
> Then restart the service.

Thank you!  
You just made my day, suggested actions did the trick.